{
  flake,
  config,
  ...
}:
let
  inherit (flake.config.people)
    user0
    user1
    ;
  inherit (flake.config.machines.devices)
    phobos
    ;
in
{
  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/c9a82c93-1da4-4cd1-a1fa-26483271a2bb";
      fsType = "ext4";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/71CA-765A";
      fsType = "vfat";
      options = phobos.boot.options;
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/74007bf1-6e2f-425e-99fa-d35990f4ea37"; }
  ];

  systemd.tmpfiles.rules = [
    "Z ${config.home-manager.users.${user0}.home.homeDirectory} 0755 ${user0} users -"
    "Z ${config.home-manager.users.${user1}.home.homeDirectory} 0755 ${user1} users -"
  ];

  services.udisks2.enable = true;
}
